LaTeX API
Apiaccount

Start a CLI sign-in (device flow)

POST
/v1/auth/device

Returns a userCode to show in the terminal and a deviceCode to poll with. The user approves at verificationUriComplete while signed in.

Request Body

application/json
  1. body
clientName?string
Lengthlength <= 60
hostname?string
Lengthlength <= 120
platform?string
Lengthlength <= 60

Response Body

Started

application/json
  1. response
deviceCode*string
userCode*string
verificationUri*string
verificationUriComplete*string
expiresIn*number
interval*number
Example Request
curl -X POST 'https://latex-api.crafter.run/v1/auth/device' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "deviceCode": "string",  "userCode": "string",  "verificationUri": "string",  "verificationUriComplete": "string",  "expiresIn": 0,  "interval": 0}